<script
  src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
  integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
  crossorigin="anonymous"
></script>
<script>
  const registration = document.getElementById("form");
  console.log(registration);
  const errorMessages = document.getElementById("passwordError");

  // password validation

  document
    .getElementById("inputPassword")
    .addEventListener("input", function () {
      const password = document.getElementById("inputPassword").value;
      if (password.length <= 6) {
        errorMessages.innerHTML =
          "<b>Password must be longer than 6 characters<b>";
        errorMessages.style.color = "red";
      } else {
        errorMessages.innerHTML = "<b>OK<b>";
        errorMessages.style.color = "green";
      }
    });

  // return values from the form

  let button = document.getElementById("submitButton");

  button.onclick = async (event) => {
    event.preventDefault();
    const firstName = document.getElementById("inputFirstName").value;
    const lastName = document.getElementById("inputLastName").value;
    const email = document.getElementById("inputEmail").value;
    const gender = document.getElementById("inputGender").value;
    const birthday = document.getElementById("inputBirthday").value;
    const photo = document.getElementById("inputPhoto").value;

    if (errorMessages.length > 2) {
      return false;
    } // this isn't working
    else {
      form.innerHTML = `<h6><b>Your Data<b><h6>
        <p>Name : ${firstName}</p>
        <p>Last Name : ${lastName}</p>
        <p>Email : ${email}</p>
        <p>Gender: ${gender}</p>
        <p>Birthday: ${birthday}</p>
        <p>File : ${photo}</p>
        <button type="submit" class="btn btn-primary" id="buttonReload" onclick="alert('Confirmed, thank you!')">Confirm</button>`;
    }
  };

  const buttonReload = getElementById(buttonReload);
  buttonReload.addEventListener("click", function () {
    location.reload();
  });
</script>
